IOHandlerImpl.h File Reference
`#include "IOHandler.h"`
`#include <vector>`

Go to the source code of this file.

## Classes

class | IO::IOHandlerImpl
| This class contains a minimum level of functionality that makes it more convenient to derive from than IOHandler. More...

## Namespaces

namespace | IO

## Functions

void | IO::writeCoefTermProduct (const mpz_class &coef, const Term &term, const TermTranslator &translator, bool hidePlus, FILE *out)
void | IO::writeCoefTermProduct (const mpz_class &coef, const vector< mpz_class > &term, const VarNames &names, bool hidePlus, FILE *out)
void | IO::writeTermProduct (const Term &term, const TermTranslator &translator, FILE *out)
void | IO::writeTermProduct (const vector< mpz_class > &term, const VarNames &names, FILE *out)
void | IO::readTermProduct (Scanner &in, const VarNames &names, vector< mpz_class > &term)
void | IO::readTermProduct (BigIdeal &ideal, Scanner &in)
void | IO::readCoefTerm (BigPolynomial &polynomial, bool firstTerm, Scanner &in)
void | IO::readCoefTerm (mpz_class &coef, vector< mpz_class > &term, const VarNames &names, bool firstTerm, Scanner &in)
void | IO::readVarPower (vector< mpz_class > &term, const VarNames &names, Scanner &in)